.footer {
   padding: 66px 0 70px 0;
   background: #000000;
   min-width: 320px;
   &__title {
      @include title-font-style;
      color: #FEFEFE;
   }
   &__text--large {
      position: relative;
      right: 4px;
      margin: 16px 0 30px 0 ;
      @include footer-text-fs;
   }
   &__text--small {
      @extend .footer__text--large;
      margin: 2px 0 19px 0 ;
      display: none;
   }
   &__icons-container {
      @include flex-center;
      justify-content: space-between;
      max-width: 194px;
      margin: 0 auto;
   }
   &__contacts {
      display: inline-flex;
      font-size: 16px;
      line-height: 26px;
      color: $footer-text-color;
   }
   }
   .footer-container {
      @include container;
      max-width: 690px;
   }
   .icons {
      .icon{
         display: block;
         width: 34px;
         height: 34px;
         border-radius: 50%;
         transition-duration: 0.3s;
         
      }
      .icon:active{
         transform: translateY(-2px);
      }

   &__icon {
      &--rss {
         background: url("@img/icons/rss-icon.png") no-repeat center center;
         border: 2px solid #F8902E;
      }
      &--facebook {
         background: url("@img/icons/facebook-icon.png") no-repeat center center;
         border: 2px solid #39599F;
      }
      &--twiter {
         background: url("@img/icons/twitter-icon.png") no-repeat center center;
         border: 2px solid #45B0E3;
      }
      &--dribble {
         background: url("@img/icons/dribbble-icon.png") no-repeat center center;
         border: 2px solid #D97AB0;
      }
      &--pinterest {
         background: url("@img/icons/pinterest-icon.png") no-repeat center center;
         border: 2px solid #CC212C;
      }
   }
   }
   .contacts {
      margin-top: 34px;
   &__adress {
      position: relative;
      right: 27px;
      font-style: normal;
   }
   &__adress::after  {
      content: ' / ';
      position: absolute;
      top: 0;
      right: -18px;
   }
   &__phone {
      position: relative;
      right: -3px;
   }
   &__phone::after {
      content: ' / ';
      position: absolute;
      top: 0;
      right: -18px;
   }
   &__email {
      position: relative;
      right: -33px;
   }
}

@media (max-width: 1199px) {
   .footer {
      padding: 57px 0 56px 0;
   }
}

@media (max-width: 767px) {
   .footer {
      padding: 36px 0 47px 0;
   }
   .footer-container{
      max-width: 303px;
   }
   .footer__text--large {
      display: none;
   }
   .footer__text--small {
      display: block;
   }
   .footer__contacts{
      display: flex;
      flex-direction: column;
      font-size: 14px;
      line-height: 24px;
   }
   .contacts {
      margin-top: 25px;
   }
   .contacts__adress {
      position: relative;
      right: 0;
   }
   .contacts__adress::after {
      right: calc(50% - 115px);
   }
   .contacts__phone {
      position: relative;
      right: 0;
   }
   .contacts__phone::after {
      right: calc(50% - 85px);
   }
   .contacts__email {
      position: relative;
      right: 0;
   }
}
